openSUSE Security Update: Security update for qemu
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:1202-1
Rating:             important
References:         #1180432 #1180433 #1180434 #1180435 #1182651 
                    #1186012 #1187364 #1187365 #1187366 #1187367 
                    #1187499 #1187529 #1187538 #1187539 #1189145 
                    
Cross-References:   CVE-2020-35503 CVE-2020-35504 CVE-2020-35505
                    CVE-2020-35506 CVE-2021-20255 CVE-2021-3527
                    CVE-2021-3582 CVE-2021-3592 CVE-2021-3593
                    CVE-2021-3594 CVE-2021-3595 CVE-2021-3607
                    CVE-2021-3608 CVE-2021-3611 CVE-2021-3682
                   
CVSS scores:
                    CVE-2020-35503 (NVD) : 6 CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:N/I:N/A:H
                    CVE-2020-35503 (SUSE): 5.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
                    CVE-2020-35504 (NVD) : 6 CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:N/I:N/A:H
                    CVE-2020-35504 (SUSE): 5.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
                    CVE-2020-35505 (NVD) : 4.4 CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
                    CVE-2020-35505 (SUSE): 4.4 CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:U/C:N/I:N/A:H
                    CVE-2020-35506 (NVD) : 6.7 CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:U/C:H/I:H/A:H
                    CVE-2020-35506 (SUSE): 5.6 CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:U/C:L/I:L/A:H
                    CVE-2021-20255 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
                    CVE-2021-20255 (SUSE): 3.2 CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:N/I:N/A:L
                    CVE-2021-3527 (NVD) : 5.5 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H
                    CVE-2021-3527 (SUSE): 3.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:N/I:N/A:L
                    CVE-2021-3582 (SUSE): 3.2 CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:N/I:N/A:L
                    CVE-2021-3592 (NVD) : 3.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:L/I:N/A:N
                    CVE-2021-3592 (SUSE): 3.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:L/I:N/A:N
                    CVE-2021-3593 (NVD) : 3.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:L/I:N/A:N
                    CVE-2021-3593 (SUSE): 3.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:L/I:N/A:N
                    CVE-2021-3594 (NVD) : 3.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:L/I:N/A:N
                    CVE-2021-3594 (SUSE): 3.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:L/I:N/A:N
                    CVE-2021-3595 (NVD) : 3.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:L/I:N/A:N
                    CVE-2021-3595 (SUSE): 3.8 CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:C/C:L/I:N/A:N
                    CVE-2021-3607 (SUSE): 3.2 CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:N/I:N/A:L
                    CVE-2021-3608 (SUSE): 3.2 CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:N/I:N/A:L
                    CVE-2021-3611 (SUSE): 5 CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:C/C:N/I:N/A:L
                    CVE-2021-3682 (SUSE): 6 CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:C/C:L/I:L/A:L

Affected Products:
                    openSUSE Leap 15.2
______________________________________________________________________________

   An update that fixes 15 vulnerabilities is now available.

Description:

   This update for qemu fixes the following issues:

   Security issues fixed:

   - CVE-2021-3527: usb: unbounded stack allocation in usbredir (bsc#1186012)
   - CVE-2021-3582: Fix possible mremap overflow in the pvrdma (bsc#1187499)
   - CVE-2021-3592: Fix for slirp: invalid pointer initialization may lead to
     information disclosure (bootp) (bsc#1187364)
   - CVE-2021-3593: Fix for slirp: invalid pointer initialization may lead to
     information disclosure (udp6) (bsc#1187365)
   - CVE-2021-3594: Fix for slirp: invalid pointer initialization may lead to
     information disclosure (udp) (bsc#1187367)
   - CVE-2021-3595: Fixed slirp: invalid pointer initialization may lead to
     information disclosure (tftp) (bsc#1187366)
   - CVE-2021-3607: Ensure correct input on ring init (bsc#1187539)
   - CVE-2021-3608: Fix the ring init error flow (bsc#1187538)
   - CVE-2021-3611: Fix intel-hda segmentation fault due to stack overflow
     (bsc#1187529)
   - CVE-2021-3682: usbredir: free call on invalid pointer in bufp_alloc
     (bsc#1189145)
   - CVE-2020-35503: NULL pointer dereference issue in megasas-gen2 host bus
     adapter (bsc#1180432)
   - CVE-2020-35504,CVE-2020-35505,CVE-2020-35506: NULL pointer dereference
     in ESP (bsc#1180433 bsc#1180434 bsc#1180435)
   - CVE-2021-20255: eepro100: stack overflow via infinite recursion
     (bsc#1182651)

   This update was imported from the SUSE:SLE-15-SP2:Update update project.


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.2:

      zypper in -t patch openSUSE-2021-1202=1



Package List:

   - openSUSE Leap 15.2 (x86_64):

      qemu-4.2.1-lp152.9.20.1
      qemu-arm-4.2.1-lp152.9.20.1
      qemu-arm-debuginfo-4.2.1-lp152.9.20.1
      qemu-audio-alsa-4.2.1-lp152.9.20.1
      qemu-audio-alsa-debuginfo-4.2.1-lp152.9.20.1
      qemu-audio-pa-4.2.1-lp152.9.20.1
      qemu-audio-pa-debuginfo-4.2.1-lp152.9.20.1
      qemu-audio-sdl-4.2.1-lp152.9.20.1
      qemu-audio-sdl-debuginfo-4.2.1-lp152.9.20.1
      qemu-block-curl-4.2.1-lp152.9.20.1
      qemu-block-curl-debuginfo-4.2.1-lp152.9.20.1
      qemu-block-dmg-4.2.1-lp152.9.20.1
      qemu-block-dmg-debuginfo-4.2.1-lp152.9.20.1
      qemu-block-gluster-4.2.1-lp152.9.20.1
      qemu-block-gluster-debuginfo-4.2.1-lp152.9.20.1
      qemu-block-iscsi-4.2.1-lp152.9.20.1
      qemu-block-iscsi-debuginfo-4.2.1-lp152.9.20.1
      qemu-block-nfs-4.2.1-lp152.9.20.1
      qemu-block-nfs-debuginfo-4.2.1-lp152.9.20.1
      qemu-block-rbd-4.2.1-lp152.9.20.1
      qemu-block-rbd-debuginfo-4.2.1-lp152.9.20.1
      qemu-block-ssh-4.2.1-lp152.9.20.1
      qemu-block-ssh-debuginfo-4.2.1-lp152.9.20.1
      qemu-debuginfo-4.2.1-lp152.9.20.1
      qemu-debugsource-4.2.1-lp152.9.20.1
      qemu-extra-4.2.1-lp152.9.20.1
      qemu-extra-debuginfo-4.2.1-lp152.9.20.1
      qemu-guest-agent-4.2.1-lp152.9.20.1
      qemu-guest-agent-debuginfo-4.2.1-lp152.9.20.1
      qemu-ksm-4.2.1-lp152.9.20.1
      qemu-kvm-4.2.1-lp152.9.20.1
      qemu-lang-4.2.1-lp152.9.20.1
      qemu-linux-user-4.2.1-lp152.9.20.1
      qemu-linux-user-debuginfo-4.2.1-lp152.9.20.1
      qemu-linux-user-debugsource-4.2.1-lp152.9.20.1
      qemu-ppc-4.2.1-lp152.9.20.1
      qemu-ppc-debuginfo-4.2.1-lp152.9.20.1
      qemu-s390-4.2.1-lp152.9.20.1
      qemu-s390-debuginfo-4.2.1-lp152.9.20.1
      qemu-testsuite-4.2.1-lp152.9.20.1
      qemu-tools-4.2.1-lp152.9.20.1
      qemu-tools-debuginfo-4.2.1-lp152.9.20.1
      qemu-ui-curses-4.2.1-lp152.9.20.1
      qemu-ui-curses-debuginfo-4.2.1-lp152.9.20.1
      qemu-ui-gtk-4.2.1-lp152.9.20.1
      qemu-ui-gtk-debuginfo-4.2.1-lp152.9.20.1
      qemu-ui-sdl-4.2.1-lp152.9.20.1
      qemu-ui-sdl-debuginfo-4.2.1-lp152.9.20.1
      qemu-ui-spice-app-4.2.1-lp152.9.20.1
      qemu-ui-spice-app-debuginfo-4.2.1-lp152.9.20.1
      qemu-vhost-user-gpu-4.2.1-lp152.9.20.1
      qemu-vhost-user-gpu-debuginfo-4.2.1-lp152.9.20.1
      qemu-x86-4.2.1-lp152.9.20.1
      qemu-x86-debuginfo-4.2.1-lp152.9.20.1

   - openSUSE Leap 15.2 (noarch):

      qemu-ipxe-1.0.0+-lp152.9.20.1
      qemu-microvm-4.2.1-lp152.9.20.1
      qemu-seabios-1.12.1+-lp152.9.20.1
      qemu-sgabios-8-lp152.9.20.1
      qemu-vgabios-1.12.1+-lp152.9.20.1


References:

   https://www.suse.com/security/cve/CVE-2020-35503.html
   https://www.suse.com/security/cve/CVE-2020-35504.html
   https://www.suse.com/security/cve/CVE-2020-35505.html
   https://www.suse.com/security/cve/CVE-2020-35506.html
   https://www.suse.com/security/cve/CVE-2021-20255.html
   https://www.suse.com/security/cve/CVE-2021-3527.html
   https://www.suse.com/security/cve/CVE-2021-3582.html
   https://www.suse.com/security/cve/CVE-2021-3592.html
   https://www.suse.com/security/cve/CVE-2021-3593.html
   https://www.suse.com/security/cve/CVE-2021-3594.html
   https://www.suse.com/security/cve/CVE-2021-3595.html
   https://www.suse.com/security/cve/CVE-2021-3607.html
   https://www.suse.com/security/cve/CVE-2021-3608.html
   https://www.suse.com/security/cve/CVE-2021-3611.html
   https://www.suse.com/security/cve/CVE-2021-3682.html
   https://bugzilla.suse.com/1180432
   https://bugzilla.suse.com/1180433
   https://bugzilla.suse.com/1180434
   https://bugzilla.suse.com/1180435
   https://bugzilla.suse.com/1182651
   https://bugzilla.suse.com/1186012
   https://bugzilla.suse.com/1187364
   https://bugzilla.suse.com/1187365
   https://bugzilla.suse.com/1187366
   https://bugzilla.suse.com/1187367
   https://bugzilla.suse.com/1187499
   https://bugzilla.suse.com/1187529
   https://bugzilla.suse.com/1187538
   https://bugzilla.suse.com/1187539
   https://bugzilla.suse.com/1189145